%define module	pyzmq
%define name	python-%{module}
%define version 13.1.0
%define tarver  13.1.0
%define release %mkrel 3
%{!?python_version: %define python_version %(%{__python} -c "import sys ; print sys.version[:3]")}
%{!?python3_version: %define python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")} 

Summary:	Python bindings for zeromq
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/p/%{module}/%{module}-%{tarver}.tar.gz
License:	LGPLv3+ and ASL 2.0 and BSD
Group:		Development/Python
Url:		http://github.com/zeromq/pyzmq
BuildRequires:	pkgconfig(libzmq)
BuildRequires:	python-nose
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-nose
BuildRequires:	python-tools
BuildRequires:	python-cython

%description
This package contains Python bindings for zeromq, a lightweight and
fast messaging implementation.

%package -n python3-%{module}
Summary:        Software library for fast, message-based applications
Group:          Development/Python

%description -n python3-%{module}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the python 3 bindings.

%prep
%setup -q -n %{module}-%{tarver}
# forcibly regenerate the Cython-generated .c files:
find zmq -name "*.c" -delete
%{__python} setup.py cython

# remove bundled libraries
rm -rf bundled
for lib in zmq/eventloop/*.py; do
    sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
    touch -r $lib $lib.new &&
    mv $lib.new $lib
done

# remove excecutable bits
chmod -x examples/pubsub/topics_pub.py
chmod -x examples/pubsub/topics_sub.py

%{__cp} -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%{__rm} -r %{py3dir}/examples
2to3 --write --nobackups %{py3dir}/zmq/green

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__rm} zmq/__*
PYTHONPATH=%{buildroot}%{python_sitearch} \
 %{__python} setup.py test

pushd %{py3dir}
%{__rm} zmq/__*
PYTHONPATH=%{buildroot}%{python3_sitearch} \
 %{__python3} setup.py test
popd

%{__rm} -rf %{buildroot}%{python_sitearch}/zmq/tests
%{__rm} -rf %{buildroot}%{python3_sitearch}/zmq/tests

%files
%doc README.md COPYING.* examples/
%{python_sitearch}/%{module}-*.egg-info
%{python_sitearch}/zmq

%files -n python3-%{module}
%doc README.md COPYING.*
# examples/
%{python3_sitearch}/%{module}-*.egg-info
%{python3_sitearch}/zmq




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 13.1.0-3.mga4
+ Revision: 544242
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 13.1.0-2.mga4
+ Revision: 499281
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 16 2013 philippem <philippem> 13.1.0-1.mga4
+ Revision: 467030
- fix wrong group
- update to 13.1.0, add Python 3

* Sat Jun 08 2013 fwang <fwang> 2.2.0.1-2.mga4
+ Revision: 440438
- drop invalid req

* Sat Jun 08 2013 fwang <fwang> 2.2.0.1-1.mga4
+ Revision: 440417
- add req for testing
- new version 2.2.0.1

* Sun Jan 13 2013 umeabot <umeabot> 2.1.9-4.mga3
+ Revision: 379424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 21 2011 lebedov <lebedov> 2.1.9-3.mga2
+ Revision: 146196
- Bump release.

* Wed Sep 21 2011 lebedov <lebedov> 2.1.9-2.mga2
+ Revision: 146188
- Require zeromq library with the same version as pyzmq (or later).

* Sun Sep 18 2011 lebedov <lebedov> 2.1.9-1.mga2
+ Revision: 145119
- Update source file.
- Update to 2.1.9.

* Thu Apr 14 2011 mikala <mikala> 2.1.4-1.mga1
+ Revision: 85343
- Update to 2.1.4 to match zeromq 2.1.4

* Mon Jan 31 2011 dmorgan <dmorgan> 2.0.10_1-1.mga1
+ Revision: 45303
- imported package python-pyzmq

